;;; From: Bruno Haible
;;; Subject: scope of SPECIAL declarations

;;; It seems CMUCL has a bug relating to the scope of SPECIAL
;;; declarations.  I observe this with "CMU Common Lisp 18a x86-linux
;;; 1.4.0 cvs".

(let ((x 0))
  (declare (special x))
  (let ((x 1))
    (let ((y x))
      (declare (special x)) y)))

;;; Gives: 0 (this should return 1 according to CLHS)

(let ((x 0))
  (declare (special x))
  (let ((x 1))
    (let ((y x) (x 5))
      (declare (special x)) y)))

;;; Gives: 1 (correct).
