;;; Defmethod fails when the following code is loaded and compiled as
;;; follows.
;;;
;;;
;;; (push 'compile pcl::*defmethod-times*)
;;; (load "bug.lisp")
;;; (frobbing-function 1 2 3)
;;; (frobbing-method 1 2 3)
;;; (compile-file "bug.lisp")
;;; (frobbing-function 1 2 3)
;;; (frobbing-method 1 2 3)

(macrolet ((frob ((x y z) &body body)
                 `(let ((foo ,x)
                        (bar ,y)
                        (baz ,z))
                    ,@body)))
  (defmethod frobbing-method (a b c)
    (frob (a b c) (list foo bar baz)))
  (defun frobbing-function (a b c)
    (frob (a b c) (list foo bar baz))))
